
package ONVIF::Analytics::Elements::GetSupportedRulesResponse;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.onvif.org/ver20/analytics/wsdl' }

__PACKAGE__->__set_name('GetSupportedRulesResponse');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %SupportedRules_of :ATTR(:get<SupportedRules>);

__PACKAGE__->_factory(
    [ qw(        SupportedRules

    ) ],
    {
        'SupportedRules' => \%SupportedRules_of,
    },
    {
        'SupportedRules' => 'ONVIF::Analytics::Types::SupportedRules',
    },
    {

        'SupportedRules' => 'SupportedRules',
    }
);

} # end BLOCK







} # end of BLOCK



1;


=pod

=head1 NAME

ONVIF::Analytics::Elements::GetSupportedRulesResponse

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GetSupportedRulesResponse from the namespace http://www.onvif.org/ver20/analytics/wsdl.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * SupportedRules

 $element->set_SupportedRules($data);
 $element->get_SupportedRules();





=back


=head1 METHODS

=head2 new

 my $element = ONVIF::Analytics::Elements::GetSupportedRulesResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   SupportedRules =>  { # ONVIF::Analytics::Types::SupportedRules
     RuleContentSchemaLocation =>  $some_value, # anyURI
     RuleDescription =>  { # ONVIF::Analytics::Types::ConfigDescription
       Parameters =>  { # ONVIF::Analytics::Types::ItemListDescription
         SimpleItemDescription => ,
         ElementItemDescription => ,
         Extension =>  { # ONVIF::Analytics::Types::ItemListDescriptionExtension
         },
       },
       Messages =>  {
         ParentTopic =>  $some_value, # string
       },
       Extension =>  { # ONVIF::Analytics::Types::ConfigDescriptionExtension
       },
     },
     Extension =>  { # ONVIF::Analytics::Types::SupportedRulesExtension
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

