package ONVIF::Analytics::Types::base64Binary;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.w3.org/2005/05/xmlmime' };

our $XML_ATTRIBUTE_CLASS = 'ONVIF::Analytics::Types::base64Binary::_base64Binary::XmlAttr';

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use base qw(
    SOAP::WSDL::XSD::Typelib::ComplexType
    SOAP::WSDL::XSD::Typelib::Builtin::base64Binary
);

package ONVIF::Analytics::Types::base64Binary::_base64Binary::XmlAttr;
use base qw(SOAP::WSDL::XSD::Typelib::AttributeSet);

{ # BLOCK to scope variables

my %contentType_of :ATTR(:get<contentType>);

__PACKAGE__->_factory(
    [ qw(
        contentType
    ) ],
    {

        contentType => \%contentType_of,
    },
    {

            contentType => 'ONVIF::Analytics::Attributes::contentType',
    }
);

} # end BLOCK




1;


=pod

=head1 NAME

ONVIF::Analytics::Types::base64Binary

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
base64Binary from the namespace http://www.w3.org/2005/05/xmlmime.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over



=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { value => $some_value },



=head2 attr

NOTE: Attribute documentation is experimental, and may be inaccurate.
See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the C<attr()> method.

attr() returns an object of the class ONVIF::Analytics::Types::base64Binary::_base64Binary::XmlAttr.

The following attributes can be accessed on this object via the corresponding
get_/set_ methods:

=over

=item * contentType




=back




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

