
package ONVIF::Device::Elements::GetDNSResponse;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.onvif.org/ver10/device/wsdl' }

__PACKAGE__->__set_name('GetDNSResponse');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %DNSInformation_of :ATTR(:get<DNSInformation>);

__PACKAGE__->_factory(
    [ qw(        DNSInformation

    ) ],
    {
        'DNSInformation' => \%DNSInformation_of,
    },
    {
        'DNSInformation' => 'ONVIF::Device::Types::DNSInformation',
    },
    {

        'DNSInformation' => 'DNSInformation',
    }
);

} # end BLOCK







} # end of BLOCK



1;


=pod

=head1 NAME

ONVIF::Device::Elements::GetDNSResponse

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GetDNSResponse from the namespace http://www.onvif.org/ver10/device/wsdl.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * DNSInformation

 $element->set_DNSInformation($data);
 $element->get_DNSInformation();





=back


=head1 METHODS

=head2 new

 my $element = ONVIF::Device::Elements::GetDNSResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   DNSInformation =>  { # ONVIF::Device::Types::DNSInformation
     FromDHCP =>  $some_value, # boolean
     SearchDomain =>  $some_value, # token
     DNSFromDHCP =>  { # ONVIF::Device::Types::IPAddress
       Type => $some_value, # IPType
       IPv4Address => $some_value, # IPv4Address
       IPv6Address => $some_value, # IPv6Address
     },
     DNSManual =>  { # ONVIF::Device::Types::IPAddress
       Type => $some_value, # IPType
       IPv4Address => $some_value, # IPv4Address
       IPv6Address => $some_value, # IPv6Address
     },
     Extension =>  { # ONVIF::Device::Types::DNSInformationExtension
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

