
package ONVIF::Device::Elements::GetSystemLog;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.onvif.org/ver10/device/wsdl' }

__PACKAGE__->__set_name('GetSystemLog');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %LogType_of :ATTR(:get<LogType>);

__PACKAGE__->_factory(
    [ qw(        LogType

    ) ],
    {
        'LogType' => \%LogType_of,
    },
    {
        'LogType' => 'ONVIF::Device::Types::SystemLogType',
    },
    {

        'LogType' => 'LogType',
    }
);

} # end BLOCK







} # end of BLOCK



1;


=pod

=head1 NAME

ONVIF::Device::Elements::GetSystemLog

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GetSystemLog from the namespace http://www.onvif.org/ver10/device/wsdl.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * LogType

 $element->set_LogType($data);
 $element->get_LogType();





=back


=head1 METHODS

=head2 new

 my $element = ONVIF::Device::Elements::GetSystemLog->new($data);

Constructor. The following data structure may be passed to new():

 {
   LogType => $some_value, # SystemLogType
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

