package ONVIF::Device::Types::AbsoluteFocus;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.onvif.org/ver10/schema' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Position_of :ATTR(:get<Position>);
my %Speed_of :ATTR(:get<Speed>);

__PACKAGE__->_factory(
    [ qw(        Position
        Speed

    ) ],
    {
        'Position' => \%Position_of,
        'Speed' => \%Speed_of,
    },
    {
        'Position' => 'SOAP::WSDL::XSD::Typelib::Builtin::float',
        'Speed' => 'SOAP::WSDL::XSD::Typelib::Builtin::float',
    },
    {

        'Position' => 'Position',
        'Speed' => 'Speed',
    }
);

} # end BLOCK








1;


=pod

=head1 NAME

ONVIF::Device::Types::AbsoluteFocus

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
AbsoluteFocus from the namespace http://www.onvif.org/ver10/schema.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Position


=item * Speed




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::AbsoluteFocus
   Position =>  $some_value, # float
   Speed =>  $some_value, # float
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

