package ONVIF::Device::Types::ClassDescriptorExtension;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.onvif.org/ver10/schema' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %OtherTypes_of :ATTR(:get<OtherTypes>);
my %Extension_of :ATTR(:get<Extension>);

__PACKAGE__->_factory(
    [ qw(        OtherTypes
        Extension

    ) ],
    {
        'OtherTypes' => \%OtherTypes_of,
        'Extension' => \%Extension_of,
    },
    {
        'OtherTypes' => 'ONVIF::Device::Types::OtherType',
        'Extension' => 'ONVIF::Device::Types::ClassDescriptorExtension2',
    },
    {

        'OtherTypes' => 'OtherTypes',
        'Extension' => 'Extension',
    }
);

} # end BLOCK








1;


=pod

=head1 NAME

ONVIF::Device::Types::ClassDescriptorExtension

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
ClassDescriptorExtension from the namespace http://www.onvif.org/ver10/schema.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * OtherTypes


=item * Extension




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::ClassDescriptorExtension
   OtherTypes =>  { # ONVIF::Device::Types::OtherType
     Type =>  $some_value, # string
     Likelihood =>  $some_value, # float
   },
   Extension =>  { # ONVIF::Device::Types::ClassDescriptorExtension2
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

