package ONVIF::Device::Types::MiscCapabilities;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.onvif.org/ver10/device/wsdl' };

our $XML_ATTRIBUTE_CLASS = 'ONVIF::Device::Types::MiscCapabilities::_MiscCapabilities::XmlAttr';

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}



# There's no variety - empty complexType
use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

__PACKAGE__->_factory();


package ONVIF::Device::Types::MiscCapabilities::_MiscCapabilities::XmlAttr;
use base qw(SOAP::WSDL::XSD::Typelib::AttributeSet);

{ # BLOCK to scope variables

my %AuxiliaryCommands_of :ATTR(:get<AuxiliaryCommands>);

__PACKAGE__->_factory(
    [ qw(
        AuxiliaryCommands
    ) ],
    {

        AuxiliaryCommands => \%AuxiliaryCommands_of,
    },
    {
        AuxiliaryCommands => 'ONVIF::Device::Types::StringAttrList',
    }
);

} # end BLOCK




1;


=pod

=head1 NAME

ONVIF::Device::Types::MiscCapabilities

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
MiscCapabilities from the namespace http://www.onvif.org/ver10/device/wsdl.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over



=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

,



=head2 attr

NOTE: Attribute documentation is experimental, and may be inaccurate.
See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the C<attr()> method.

attr() returns an object of the class ONVIF::Device::Types::MiscCapabilities::_MiscCapabilities::XmlAttr.

The following attributes can be accessed on this object via the corresponding
get_/set_ methods:

=over

=item * AuxiliaryCommands

 Lists of commands supported by SendAuxiliaryCommand.



This attribute is of type L<ONVIF::Device::Types::StringAttrList|ONVIF::Device::Types::StringAttrList>.


=back




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

