package ONVIF::Device::Types::PolylineArray;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.onvif.org/ver10/schema' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Segment_of :ATTR(:get<Segment>);
my %Extension_of :ATTR(:get<Extension>);

__PACKAGE__->_factory(
    [ qw(        Segment
        Extension

    ) ],
    {
        'Segment' => \%Segment_of,
        'Extension' => \%Extension_of,
    },
    {
        'Segment' => 'ONVIF::Device::Types::Polyline',
        'Extension' => 'ONVIF::Device::Types::PolylineArrayExtension',
    },
    {

        'Segment' => 'Segment',
        'Extension' => 'Extension',
    }
);

} # end BLOCK








1;


=pod

=head1 NAME

ONVIF::Device::Types::PolylineArray

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
PolylineArray from the namespace http://www.onvif.org/ver10/schema.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Segment


=item * Extension




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::PolylineArray
   Segment =>  { # ONVIF::Device::Types::Polyline
     Point => ,
   },
   Extension =>  { # ONVIF::Device::Types::PolylineArrayExtension
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

