
package ONVIF::Media::Elements::Envelope;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://schemas.xmlsoap.org/soap/envelope/' }

__PACKAGE__->__set_name('Envelope');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();
use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    ONVIF::Media::Types::Envelope
);

}

1;


=pod

=head1 NAME

ONVIF::Media::Elements::Envelope

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
Envelope from the namespace http://schemas.xmlsoap.org/soap/envelope/.







=head1 METHODS

=head2 new

 my $element = ONVIF::Media::Elements::Envelope->new($data);

Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::Envelope
   Header =>  { # ONVIF::Media::Types::Header
   },
   Body =>  { # ONVIF::Media::Types::Body
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

