
package ONVIF::Media::Elements::GetAudioDecoderConfigurationOptionsResponse;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.onvif.org/ver10/media/wsdl' }

__PACKAGE__->__set_name('GetAudioDecoderConfigurationOptionsResponse');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Options_of :ATTR(:get<Options>);

__PACKAGE__->_factory(
    [ qw(        Options

    ) ],
    {
        'Options' => \%Options_of,
    },
    {
        'Options' => 'ONVIF::Media::Types::AudioDecoderConfigurationOptions',
    },
    {

        'Options' => 'Options',
    }
);

} # end BLOCK







} # end of BLOCK



1;


=pod

=head1 NAME

ONVIF::Media::Elements::GetAudioDecoderConfigurationOptionsResponse

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GetAudioDecoderConfigurationOptionsResponse from the namespace http://www.onvif.org/ver10/media/wsdl.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Options

 $element->set_Options($data);
 $element->get_Options();





=back


=head1 METHODS

=head2 new

 my $element = ONVIF::Media::Elements::GetAudioDecoderConfigurationOptionsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Options =>  { # ONVIF::Media::Types::AudioDecoderConfigurationOptions
     AACDecOptions =>  { # ONVIF::Media::Types::AACDecOptions
       Bitrate =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
       SampleRateRange =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
     },
     G711DecOptions =>  { # ONVIF::Media::Types::G711DecOptions
       Bitrate =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
       SampleRateRange =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
     },
     G726DecOptions =>  { # ONVIF::Media::Types::G726DecOptions
       Bitrate =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
       SampleRateRange =>  { # ONVIF::Media::Types::IntList
         Items =>  $some_value, # int
       },
     },
     Extension =>  { # ONVIF::Media::Types::AudioDecoderConfigurationOptionsExtension
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

