
package ONVIF::Media::Elements::VideoAnalyticsConfiguration;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.onvif.org/ver10/schema' }

__PACKAGE__->__set_name('VideoAnalyticsConfiguration');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();
use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    ONVIF::Media::Types::VideoAnalyticsConfiguration
);

}

1;


=pod

=head1 NAME

ONVIF::Media::Elements::VideoAnalyticsConfiguration

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
VideoAnalyticsConfiguration from the namespace http://www.onvif.org/ver10/schema.







=head1 METHODS

=head2 new

 my $element = ONVIF::Media::Elements::VideoAnalyticsConfiguration->new($data);

Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::VideoAnalyticsConfiguration
   AnalyticsEngineConfiguration =>  { # ONVIF::Media::Types::AnalyticsEngineConfiguration
     AnalyticsModule =>  { # ONVIF::Media::Types::Config
       Parameters =>  { # ONVIF::Media::Types::ItemList
         SimpleItem => ,
         ElementItem =>  {
         },
         Extension =>  { # ONVIF::Media::Types::ItemListExtension
         },
       },
     },
     Extension =>  { # ONVIF::Media::Types::AnalyticsEngineConfigurationExtension
     },
   },
   RuleEngineConfiguration =>  { # ONVIF::Media::Types::RuleEngineConfiguration
     Rule =>  { # ONVIF::Media::Types::Config
       Parameters =>  { # ONVIF::Media::Types::ItemList
         SimpleItem => ,
         ElementItem =>  {
         },
         Extension =>  { # ONVIF::Media::Types::ItemListExtension
         },
       },
     },
     Extension =>  { # ONVIF::Media::Types::RuleEngineConfigurationExtension
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

