
package ONVIF::PTZ::Elements::GetConfiguration;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.onvif.org/ver20/ptz/wsdl' }

__PACKAGE__->__set_name('GetConfiguration');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %PTZConfigurationToken_of :ATTR(:get<PTZConfigurationToken>);

__PACKAGE__->_factory(
    [ qw(        PTZConfigurationToken

    ) ],
    {
        'PTZConfigurationToken' => \%PTZConfigurationToken_of,
    },
    {
        'PTZConfigurationToken' => 'ONVIF::PTZ::Types::ReferenceToken',
    },
    {

        'PTZConfigurationToken' => 'PTZConfigurationToken',
    }
);

} # end BLOCK







} # end of BLOCK



1;


=pod

=head1 NAME

ONVIF::PTZ::Elements::GetConfiguration

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GetConfiguration from the namespace http://www.onvif.org/ver20/ptz/wsdl.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * PTZConfigurationToken

 $element->set_PTZConfigurationToken($data);
 $element->get_PTZConfigurationToken();





=back


=head1 METHODS

=head2 new

 my $element = ONVIF::PTZ::Elements::GetConfiguration->new($data);

Constructor. The following data structure may be passed to new():

 {
   PTZConfigurationToken => $some_value, # ReferenceToken
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

