
package ONVIF::PTZ::Elements::GetPresetTourOptionsResponse;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.onvif.org/ver20/ptz/wsdl' }

__PACKAGE__->__set_name('GetPresetTourOptionsResponse');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Options_of :ATTR(:get<Options>);

__PACKAGE__->_factory(
    [ qw(        Options

    ) ],
    {
        'Options' => \%Options_of,
    },
    {
        'Options' => 'ONVIF::PTZ::Types::PTZPresetTourOptions',
    },
    {

        'Options' => 'Options',
    }
);

} # end BLOCK







} # end of BLOCK



1;


=pod

=head1 NAME

ONVIF::PTZ::Elements::GetPresetTourOptionsResponse

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
GetPresetTourOptionsResponse from the namespace http://www.onvif.org/ver20/ptz/wsdl.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Options

 $element->set_Options($data);
 $element->get_Options();





=back


=head1 METHODS

=head2 new

 my $element = ONVIF::PTZ::Elements::GetPresetTourOptionsResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Options =>  { # ONVIF::PTZ::Types::PTZPresetTourOptions
     AutoStart =>  $some_value, # boolean
     StartingCondition =>  { # ONVIF::PTZ::Types::PTZPresetTourStartingConditionOptions
       RecurringTime =>  { # ONVIF::PTZ::Types::IntRange
         Min =>  $some_value, # int
         Max =>  $some_value, # int
       },
       RecurringDuration =>  { # ONVIF::PTZ::Types::DurationRange
         Min =>  $some_value, # duration
         Max =>  $some_value, # duration
       },
       Direction => $some_value, # PTZPresetTourDirection
       Extension =>  { # ONVIF::PTZ::Types::PTZPresetTourStartingConditionOptionsExtension
       },
     },
     TourSpot =>  { # ONVIF::PTZ::Types::PTZPresetTourSpotOptions
       PresetDetail =>  { # ONVIF::PTZ::Types::PTZPresetTourPresetDetailOptions
         PresetToken => $some_value, # ReferenceToken
         Home =>  $some_value, # boolean
         PanTiltPositionSpace =>  { # ONVIF::PTZ::Types::Space2DDescription
           URI =>  $some_value, # anyURI
           XRange =>  { # ONVIF::PTZ::Types::FloatRange
             Min =>  $some_value, # float
             Max =>  $some_value, # float
           },
           YRange =>  { # ONVIF::PTZ::Types::FloatRange
             Min =>  $some_value, # float
             Max =>  $some_value, # float
           },
         },
         ZoomPositionSpace =>  { # ONVIF::PTZ::Types::Space1DDescription
           URI =>  $some_value, # anyURI
           XRange =>  { # ONVIF::PTZ::Types::FloatRange
             Min =>  $some_value, # float
             Max =>  $some_value, # float
           },
         },
         Extension =>  { # ONVIF::PTZ::Types::PTZPresetTourPresetDetailOptionsExtension
         },
       },
       StayTime =>  { # ONVIF::PTZ::Types::DurationRange
         Min =>  $some_value, # duration
         Max =>  $some_value, # duration
       },
     },
   },
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

