
package ONVIF::PTZ::Elements::RemovePreset;
use strict;
use warnings;

{ # BLOCK to scope variables

sub get_xmlns { 'http://www.onvif.org/ver20/ptz/wsdl' }

__PACKAGE__->__set_name('RemovePreset');
__PACKAGE__->__set_nillable();
__PACKAGE__->__set_minOccurs();
__PACKAGE__->__set_maxOccurs();
__PACKAGE__->__set_ref();

use base qw(
    SOAP::WSDL::XSD::Typelib::Element
    SOAP::WSDL::XSD::Typelib::ComplexType
);

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %ProfileToken_of :ATTR(:get<ProfileToken>);
my %PresetToken_of :ATTR(:get<PresetToken>);

__PACKAGE__->_factory(
    [ qw(        ProfileToken
        PresetToken

    ) ],
    {
        'ProfileToken' => \%ProfileToken_of,
        'PresetToken' => \%PresetToken_of,
    },
    {
        'ProfileToken' => 'ONVIF::PTZ::Types::ReferenceToken',
        'PresetToken' => 'ONVIF::PTZ::Types::ReferenceToken',
    },
    {

        'ProfileToken' => 'ProfileToken',
        'PresetToken' => 'PresetToken',
    }
);

} # end BLOCK







} # end of BLOCK



1;


=pod

=head1 NAME

ONVIF::PTZ::Elements::RemovePreset

=head1 DESCRIPTION

Perl data type class for the XML Schema defined element
RemovePreset from the namespace http://www.onvif.org/ver20/ptz/wsdl.







=head1 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * ProfileToken

 $element->set_ProfileToken($data);
 $element->get_ProfileToken();




=item * PresetToken

 $element->set_PresetToken($data);
 $element->get_PresetToken();





=back


=head1 METHODS

=head2 new

 my $element = ONVIF::PTZ::Elements::RemovePreset->new($data);

Constructor. The following data structure may be passed to new():

 {
   ProfileToken => $some_value, # ReferenceToken
   PresetToken => $some_value, # ReferenceToken
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=cut

