package ONVIF::PTZ::Types::FrameExtension;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.onvif.org/ver10/schema' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %MotionInCells_of :ATTR(:get<MotionInCells>);
my %Extension_of :ATTR(:get<Extension>);

__PACKAGE__->_factory(
    [ qw(        MotionInCells
        Extension

    ) ],
    {
        'MotionInCells' => \%MotionInCells_of,
        'Extension' => \%Extension_of,
    },
    {
        'MotionInCells' => 'ONVIF::PTZ::Types::MotionInCells',
        'Extension' => 'ONVIF::PTZ::Types::FrameExtension2',
    },
    {

        'MotionInCells' => 'MotionInCells',
        'Extension' => 'Extension',
    }
);

} # end BLOCK








1;


=pod

=head1 NAME

ONVIF::PTZ::Types::FrameExtension

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
FrameExtension from the namespace http://www.onvif.org/ver10/schema.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * MotionInCells


=item * Extension




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::FrameExtension
   MotionInCells =>  { # ONVIF::PTZ::Types::MotionInCells
   },
   Extension =>  { # ONVIF::PTZ::Types::FrameExtension2
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

