package ONVIF::PTZ::Types::PrefixedIPv4Address;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.onvif.org/ver10/schema' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Address_of :ATTR(:get<Address>);
my %PrefixLength_of :ATTR(:get<PrefixLength>);

__PACKAGE__->_factory(
    [ qw(        Address
        PrefixLength

    ) ],
    {
        'Address' => \%Address_of,
        'PrefixLength' => \%PrefixLength_of,
    },
    {
        'Address' => 'ONVIF::PTZ::Types::IPv4Address',
        'PrefixLength' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
    },
    {

        'Address' => 'Address',
        'PrefixLength' => 'PrefixLength',
    }
);

} # end BLOCK








1;


=pod

=head1 NAME

ONVIF::PTZ::Types::PrefixedIPv4Address

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
PrefixedIPv4Address from the namespace http://www.onvif.org/ver10/schema.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Address


=item * PrefixLength




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::PrefixedIPv4Address
   Address => $some_value, # IPv4Address
   PrefixLength =>  $some_value, # int
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

