package ONVIF::PTZ::Types::VideoSourceConfigurationOptionsExtension;
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns { 'http://www.onvif.org/ver10/schema' };

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{ # BLOCK to scope variables

my %Rotate_of :ATTR(:get<Rotate>);
my %Extension_of :ATTR(:get<Extension>);

__PACKAGE__->_factory(
    [ qw(        Rotate
        Extension

    ) ],
    {
        'Rotate' => \%Rotate_of,
        'Extension' => \%Extension_of,
    },
    {
        'Rotate' => 'ONVIF::PTZ::Types::RotateOptions',
        'Extension' => 'ONVIF::PTZ::Types::VideoSourceConfigurationOptionsExtension2',
    },
    {

        'Rotate' => 'Rotate',
        'Extension' => 'Extension',
    }
);

} # end BLOCK








1;


=pod

=head1 NAME

ONVIF::PTZ::Types::VideoSourceConfigurationOptionsExtension

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
VideoSourceConfigurationOptionsExtension from the namespace http://www.onvif.org/ver10/schema.






=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Rotate


=item * Extension




=back


=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::VideoSourceConfigurationOptionsExtension
   Rotate =>  { # ONVIF::PTZ::Types::RotateOptions
     Mode => $some_value, # RotateMode
     DegreeList =>  { # ONVIF::PTZ::Types::IntList
       Items =>  $some_value, # int
     },
     Extension =>  { # ONVIF::PTZ::Types::RotateOptionsExtension
     },
   },
   Extension =>  { # ONVIF::PTZ::Types::VideoSourceConfigurationOptionsExtension2
   },
 },




=head1 AUTHOR

Generated by SOAP::WSDL

=cut

